/**
 * @file DECORATOR_REGEX
 * @module decorator-regex/DECORATOR_REGEX
 */
/**
 * Regular expression matching multi and single-line decorators.
 *
 * Ignores matches in comments.
 *
 * Required [flags][1]:
 *
 * - `s`: dot all
 * - `u`: unicode
 *
 * [1]: https://codeguage.com/courses/regexp/flags
 *
 * @see https://regex101.com/r/WPavSs
 * @see https://github.com/tc39/proposal-decorators
 *
 * @const {RegExp} DECORATOR_REGEX
 */
declare const DECORATOR_REGEX: RegExp;
export default DECORATOR_REGEX;
